org.jfree.report.expressions

## Interface ExpressionRuntime

- All Known Implementing Classes:
    LayoutExpressionRuntime, ProxyExpressionRuntime, RunningExpressionSlot

      public interface ExpressionRuntime

  Creation-Date: 24.01.2006, 16:58:34
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.pentaho.reporting.libraries.base.config.Configuration` | `getConfiguration()`
    `int` | `getCurrentRow()`
    `ReportData` | `getData()` Returns the report data used in this section.
    `DataRow` | `getDataRow()` Returns the datarow.
    `java.lang.Object` | `getDeclaringParent()`
    `ReportContext` | `getReportContext()`
    `ResourceBundleFactory` | `getResourceBundleFactory()`

- - ### Method Detail

    - #### getDataRow

          DataRow getDataRow()

      Returns the datarow.
      Returns:

    - #### getConfiguration

          org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

    - #### getResourceBundleFactory

          ResourceBundleFactory getResourceBundleFactory()

    - #### getData

          ReportData getData()

      Returns the report data used in this section. If subreports are used, this does not reflect the complete report data.

      All access to the report data must be properly synchronized. Failure to do so may result in funny results. Do not assume that the report data will be initialized on the current cursor positon.

      Returns:
      See Also:
        `getCurrentRow()`

    - #### getCurrentRow

          int getCurrentRow()

    - #### getDeclaringParent

          java.lang.Object getDeclaringParent()

    - #### getReportContext

          ReportContext getReportContext()